This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 205891 - Review Request: rpl - Intelligent recursive search/replace utility
Review Request: rpl - Intelligent recursive search/replace utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-09 12:53 EDT by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 07:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2006-09-09 12:53:06 EDT
Spec URL: http://www.timj.co.uk/linux/specs/rpl.spec
SRPM URL: http://www.timj.co.uk/linux/srpms/rpl-1.5.3-1.src.rpm
Description:
rpl is a UN*X text replacement utility. It will replace strings with
new strings in multiple text files. It can work recursively over
directories and supports limiting the search to specific file
suffixes.

rpl was originally written by Joe Laffey; this is a rewritten version.
Comment 1 Tim Jackson 2006-09-09 12:55:45 EDT
rpmlint is silent on both source and noarch packages.
Comment 2 Dan Horák 2006-09-09 13:59:28 EDT
the mode for the man page rpl.1 should be 0644
Comment 3 Tim Jackson 2006-09-09 14:12:58 EDT
Of course it should. Sorry about that stupid bug.

Spec URL: http://www.timj.co.uk/linux/specs/rpl.spec
SRPM URL: http://www.timj.co.uk/linux/srpms/rpl-1.5.3-2.src.rpm
Comment 4 Dan Horák 2006-09-09 14:25:07 EDT
I have looked at the Requires of the built package and there is only
/usr/bin/env found by rpmbuild process (it is after #! in the beginning of the
script). There should be "python" too. A simple solution could be a change of
the first line of script and adding it as a patch.
Comment 5 Tim Jackson 2006-09-09 14:48:18 EDT
Hmm, yes. I don't really see the point of the "env python" there since no
variables are being set.
For now I've patched it to remove the "env" (works OK for me) and I've e-mailed
the author to ask about the reasoning.

New package:

Spec URL: http://www.timj.co.uk/linux/specs/rpl.spec
SRPM URL: http://www.timj.co.uk/linux/srpms/rpl-1.5.3-3.src.rpm
Comment 6 Jason Tibbitts 2006-09-09 20:10:56 EDT
The reason env is used is that it will search PATH to find the command it is
given.  This means that you don't have to edit your scripts if python is in
/usr/bin/python or /usr/local/bin/python or whatever.  It has, as far as I know,
always been common practise for python scripts to be called this way.

In general I think it would be better to add Requires: python rather than patch
the source, but I suppose either method works.

I'm happy to go ahead and review this, unless Dan wants to.
Comment 7 Dan Horák 2006-09-10 04:09:48 EDT
Review:
- no rpmlint output on any package
- package name OK
- spec file name OK, is in English and is legible
- package meets the Packaging Guidelines
- license OK (GPL) and is included
- source matches upstream
	7187b2c650e1522a82242c2c7f5e7123  rpl_1.5.3.tar.gz
	7187b2c650e1522a82242c2c7f5e7123  rpl_1.5.3.tar.gz.1
- builds at least on i386 (FC4 and devel)
- no BuildRequires needed
- no localized files
- has no shared lib
- do not create any directory
- no duplicates files, permissions are set properly, uses %defattr
- has %clean section
- consistent use of macros
- contains code
- no large docs, %doc is not required during runtime
- no devel subpackage required, no pkgconfig file
- no .la libtool archives
- not a GUI application
- it works

APPROVED
Comment 8 Tim Jackson 2006-09-10 07:19:18 EDT
Thanks for the feedback and comments, and for the review Dan.
Imported into Extras and built for devel (FC-5 branch requested)

Jason, your comments re:env made sense, so I removed the hack in favour of
"Requires: python".
Comment 9 Tim Jackson 2007-04-14 19:18:50 EDT
Package Change Request
======================
Package Name: rpl
New Branches: EL-4 EL-5

Note You need to log in before you can comment on or make changes to this bug.